## Turn off meaningless jar repackaging on SL6
%define __jar_repack 0

Name: argus-pep-api-java

Version: 2.2.0
Release: 1%{?dist}
Summary: Argus PEP client Java API

Group: System Environment/Libraries
License: ASL 2.0
URL: https://twiki.cern.ch/twiki/bin/view/EGEE/AuthorizationFramework

## Source: https://github.com/downloads/argus-authz/%{name}/%{name}-%{version}.tar.gz
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: java-devel
BuildRequires: maven

Requires: java
Requires: argus-pep-common
Requires: canl-java

%description 
Lightweight Argus PEP client library.
The Argus Authorization Service renders consistent authorization 
decisions for distributed services (e.g., user interfaces, 
portals, computing elements, storage elements). The service is 
based on the XACML standard, and uses authorization policies to 
determine if a user is allowed or denied to perform a certain 
action on a particular service.


%prep
%setup -q

%build
export JAVA_HOME=/usr/lib/jvm/java
make package

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/java
%{_datadir}/java/%{name}.jar
%{_datadir}/java/%{name}-%{version}.jar
%doc README.md doc/RELEASE-NOTES doc/COPYRIGHT doc/LICENSE src/example/java

%changelog
* Thu Nov 15 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.2.0-1
- Upstream version 2.2.0 for EMI-3.

* Thu Aug 2 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.1.1-1
- Self managed packaging with spec file.

* Tue Apr 3 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.1.0-1
- Initial PEP client Java API for EMI 2.



